# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
DESCRIPTION="A C interface library to i3wm"

HOMEPAGE="https://github.com/altdesktop/i3ipc-glib"

SRC_URI="https://github.com/altdesktop/i3ipc-glib/archive/v1.0.1.tar.gz"

LICENSE="GPL-3"

SLOT="1.0"

KEYWORDS="~amd64"

# Comprehensive list of any and all USE flags leveraged in the ebuild,
# with some exceptions, e.g., ARCH specific flags like "amd64" or "ppc".
# Not needed if the ebuild doesn't use any USE flags.
IUSE="introspection gtk-doc"

DEPEND="
	introspection? (
		dev-libs/gobject-introspection
	)
	dev-util/gtk-doc
"

BDEPEND="
	>=dev-libs/json-glib-0.14.0
	>=dev-libs/glib-2.32.0
	x11-base/xcb-proto
	x11-libs/libxcb
"


src_configure() {
	USEOPTIONS=""
	if use gtk-doc; then
		USEOPTIONS+="--enable-gtk-doc"
	fi
	if use introspection; then
		USEOPTIONS+="--enable-introspection"
	fi
	./autogen.sh ${USEOPTIONS} \
		--host=${CHOST} \
		--prefix=/usr \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man || die
}

# The following src_install function is implemented as default by portage, so
# you only need to call it, if you need different behaviour.
#src_install() {
	# You must *personally verify* that this trick doesn't install
	# anything outside of DESTDIR; do this by reading and
	# understanding the install part of the Makefiles.
	# This is the preferred way to install.
	#emake DESTDIR="${D}" install

	# When you hit a failure with emake, do not just use make. It is
	# better to fix the Makefiles to allow proper parallelization.
	# If you fail with that, use "emake -j1", it's still better than make.

	# For Makefiles that don't make proper use of DESTDIR, setting
	# prefix is often an alternative.  However if you do this, then
	# you also need to specify mandir and infodir, since they were
	# passed to ./configure as absolute paths (overriding the prefix
	# setting).
	#emake \
	#	prefix="${D}"/usr \
	#	mandir="${D}"/usr/share/man \
	#	infodir="${D}"/usr/share/info \
	#	libdir="${D}"/usr/$(get_libdir) \
	#	install
	# Again, verify the Makefiles!  We don't want anything falling
	# outside of ${D}.
#}
